//
//  CFFCompilerUtilities.h
//  GSFontTools
//
//  Created by Georg Seifert on 01.08.11.
//  Copyright 2011 schriftgestaltung.de. All rights reserved.
//

#import <GSFontTools/CFFIndexedStrings.h>

#define PS_APPLY(OP_SELECTOR, OP_NAME) \
	{ \
		NSObject *value = [self OP_SELECTOR:OP_NAME]; \
		return [[PSResult alloc] initWithOpName:OP_NAME value:value]; \
	}

NSMutableData *packCharset0(id charset, BOOL isCID, CFFIndexedStrings *strings);
NSMutableData *packCharset(id charset, BOOL isCID, CFFIndexedStrings *strings);

void cffEncodeNumber(NSMutableData *data, NSNumber *num);

uint8_t calcOffSize(NSUInteger largestOffset);
